Skip to main content
GET
/
connect
/
{namespace}
/
{connectionId}
/
.tools
/
{toolPath}
Get tool
curl --request GET \
  --url https://api.smithery.ai/connect/{namespace}/{connectionId}/.tools/{toolPath} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "inputSchema": {
    "type": "<string>",
    "properties": {},
    "required": [
      "<string>"
    ]
  },
  "title": "<string>",
  "icons": [
    {
      "src": "<string>",
      "mimeType": "<string>",
      "sizes": [
        "<string>"
      ],
      "theme": "light"
    }
  ],
  "description": "<string>",
  "outputSchema": {
    "type": "<string>",
    "properties": {},
    "required": [
      "<string>"
    ]
  },
  "annotations": {
    "title": "<string>",
    "readOnlyHint": true,
    "destructiveHint": true,
    "idempotentHint": true,
    "openWorldHint": true
  },
  "execution": {
    "taskSupport": "required"
  },
  "_meta": {}
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

namespace
string
required
connectionId
string
required
toolPath
string
required

Response

Tool metadata or category listing

name
string
required
inputSchema
object
required
title
string
icons
object[]
description
string
outputSchema
object
annotations
object
execution
object
_meta
object